From 0e08466bbba3e64c38edbff89774973c263d7c5f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:11 +0000
Subject: [PATCH 391/2232] Rename to vector_size to match std::vector<>::size


---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 510fcca..8eb6fe8 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -663,13 +663,13 @@ fn expand_vector(namespace: &Namespace, ty: &Type) -> TokenStream {
                 }
                 __get_unchecked(v, pos)
             }
-            fn __vector_length(v: &::cxx::CxxVector<#inner>) -> usize {
+            fn __vector_size(v: &::cxx::CxxVector<#inner>) -> usize {
                 unsafe {
                     extern "C" {
                         #[link_name = #link_length]
-                        fn __vector_length(_: &::cxx::CxxVector<#inner>) -> usize;
+                        fn __vector_size(_: &::cxx::CxxVector<#inner>) -> usize;
                     }
-                    __vector_length(v)
+                    __vector_size(v)
                 }
             }
             fn __push_back(v: &::cxx::CxxVector<#inner>, item: &#inner) {
@@ -704,13 +704,13 @@ pub fn expand_vector_builtin(ident: Ident) -> TokenStream {
                 }
                 __get_unchecked(v, pos)
             }
-            fn __vector_length(v: &CxxVector<#inner>) -> usize {
+            fn __vector_size(v: &CxxVector<#inner>) -> usize {
                 unsafe {
                     extern "C" {
                         #[link_name = #link_length]
-                        fn __vector_length(_: &CxxVector<#inner>) -> usize;
+                        fn __vector_size(_: &CxxVector<#inner>) -> usize;
                     }
-                    __vector_length(v)
+                    __vector_size(v)
                 }
             }
             fn __push_back(v: &CxxVector<#inner>, item: &#inner) {
diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index 862c990..f5db334 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -16,7 +16,7 @@ pub struct CxxVector<T> {
 impl<T: VectorElement> CxxVector<T> {
     /// Returns the number of elements in the vector.
     pub fn len(&self) -> usize {
-        T::__vector_length(self)
+        T::__vector_size(self)
     }
 
     /// Returns true if the vector contains no elements.
@@ -77,7 +77,7 @@ impl<'a, T: VectorElement> Iterator for Iter<'a, T> {
 #[doc(hidden)]
 pub unsafe trait VectorElement: Sized {
     unsafe fn __get_unchecked(v: &CxxVector<Self>, pos: usize) -> &Self;
-    fn __vector_length(v: &CxxVector<Self>) -> usize;
+    fn __vector_size(v: &CxxVector<Self>) -> usize;
     fn __push_back(v: &CxxVector<Self>, item: &Self);
 }
 

